Get Service Credential Binding Parameters
Get parameters for a service credential binding
Queries the Service Broker for the parameters associated with this service credential binding. The broker catalog must have enabled the bindings_retrievable feature for the Service Offering. Check the Service Offering object for the value of this feature flag. This endpoint is not available for User-Provided Service Instances.
Request
URI
GET
https://api.example.local/v3/service_credential_bindings/{guid}/parameters
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/service_credential_bindings/{guid}/parameters
Service Credential Bindings Operations
GET
List Service Credential Bindings
POST
Create Service Credential Binding
GET
Get Service Credential Binding
PATCH
Update Service Credential Binding
DELETE
Delete Service Credential Binding
GET
Get Service Credential Binding Details
GET
Get Service Credential Binding Parameters